
@import url('boot.css');
@import url('../plugins/bootstrap/css/bootstrap.min.css');
@import url('../font/font-awesome/css/all.min.css');

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');

*{
    padding: 0px;
    margin: 0px;
}
html{
    font-size: 15px;
    width: 100%;
    height: 100%;
    scroll-behavior: smooth;
    position: relative;
    background: transparent;
}

:target {
    scroll-margin-top: .8em;
}

body{
    background-color: #000000;
    color: #fff;
    font-family: 'Open Sans', sans-serif;
    font-size: 1rem;
    line-height: 1.25rem;
    height: 100%;
    font-weight: 400 !important;
    z-index: 0;
    position: relative;
}

a{
    color: #fff;
}
a:hover{
    color: #000;
    text-decoration: none;
}

@media (min-width: 1200px){
    /*.container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1250px;
    }*/
}


header{
    padding-top: 12px;
    padding-bottom: 12px;
    font-size: 1.2rem;
}
header .icon-head{
    display: inline-block;
    width: 32px;
    border-radius: 50%;
    background: #4d4a4a;
    text-align: center;
    line-height: 32px;
    margin-left: 4px;
    color: #fff;
}
header .icon-anuncie{
    height: 32px;
    border-radius: 50px;
    background: #9d6e37;
    text-align: center;
    line-height: 32px;
    margin-left: 4px;
    font-size: 13px;
    font-weight: 600;
    display: inline-block;
    line-height: 32px;
    padding-left: 15px;
    padding-right: 15px;
}
.icon-face{
    background: #304B7E !important;
}
.icon-insta{
    background: #C11B73 !important;
}
.icon-youtube{
    background: #FF0000 !important;
}
.icon-whatsapp{
    background: #25D366 !important;
}

.conteudo-principal{
    display: flex;
    max-height: 100%;
    height: 100%;
}
.coluna-direita{
    width: 300px;
    height: 100%;
    background: #9d6e37;
    border-radius: 15px;
}

.coluna-centro{
    width: calc(100% - 315px);
    margin-left: 15px;
    background: #121212;
    font-size: 1.13rem;
    line-height: 1.6rem;
    font-weight: 300;
    border-radius: 15px;
    height: calc(100vh - 107px) !important;
    overflow-y: auto; /* Adiciona barra de rolagem apenas na coluna central */
}

.coluna-centro::-webkit-scrollbar {
    width: 5px;
}
.coluna-centro::-webkit-scrollbar-track {
    background-color: transparent;
}
.coluna-centro::-webkit-scrollbar-thumb {
    background-color: #9d6e37;
    border-radius: 30px;
}
.coluna-centro .scroll {
    padding: 60px 50px; /* Espaçamento interno */
}
.coluna-centro strong{
    font-weight: 700;
}
.publicidades{
    margin-left: 30px;
    margin-right: 30px;
}
.publicidade a{
    padding: 8px;
    display: block;
}
.publicidade img{
    border-radius: 15px;
    width: 100%;
}

.card-tocadas{
    /*background: #000;*/
    background: transparent;
    border-radius: 15px;
    position: relative;
}
.card-tocadas:before{
    content: '';
    position: absolute;
    top: -1px;
    left: -1px;
    width: 102%;
    height: 102%;
    border-radius: 15px;
    background: linear-gradient(rgb(0 0 0), rgb(0 0 0 / 56%));
    backdrop-filter: blur(5px);
    z-index: 1;
}
.card-tocadas:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 15px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    z-index: 0;
}

.card-tocadas .card-body{
    padding: 8px;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 3;
    background: transparent;
}
.card-tocadas .card-body img{
    border-radius: 15px;
}
.card-tocadas .card-body .artista{
    color: #d9974a;
}
.card-tocadas .card-body .card-title{
    font-weight: 700;
    font-size: 1.27rem;
}
.card-tocadas .card-body .duracao{
    color: #999;
    font-size: 0.87rem;
    margin-top: 8px;
    font-weight: 700 !important;
}
.card-tocadas  .stretched-link::after{
    z-index: 4;
}

.card-tocadas .imagem{
    width: 100px;
}
.card-tocadas .info{
    width: calc(100% - 100px);
    padding-left: 15px;
}

@media(min-width: 1240px){
    .coluna-direita{
        width: 400px;
    }
}

@media(max-width: 576px){
    .conteudo-principal{
        display: block !important;
    }
    .coluna-direita{
        height: auto !important;
        width: 100% !important;
        margin-bottom: 30px;
        min-height: 635px;
    }
    .coluna-centro{
        height: auto !important;
        width: 100% !important;
        margin-left: 0px !important;
    }
    .coluna-centro .scroll {
        padding: 30px 15px; /* Espaçamento interno */
    }
}


.whatsapp-rodape{
    height: 50px;
    position: fixed;
    bottom: 25px;
    right: 25px;
    z-index: 100;
}
.whatsapp-rodape img{
    height: 54px;
}

.pulse {
  animation: pulse 0.7s infinite;
  display: table;
  animation-direction: alternate;
  -webkit-animation-name: pulse;
  animation-name: pulse;
}

@-webkit-keyframes pulse {
  0% {
    -webkit-transform: scale(1);
  }
  100% {
    -webkit-transform: scale(1.1);
  }
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.1);
  }
}


